Skip to main content
POST
/
embedded-banking
/
v1
/
external-bank-accounts
Connects a new external bank account.
curl --request POST \
  --url https://api.sandbox.tesouro.com/embedded-banking/v1/external-bank-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountNumber": "<string>",
  "nameOnAccount": "<string>",
  "nickname": "<string>",
  "routingNumber": "<string>",
  "type": "CHECKING",
  "verification": {
    "method": "MICRO_DEPOSIT"
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountNumber": "<string>",
  "accountStatus": "ACTIVE",
  "nameOnAccount": "<string>",
  "nickname": "<string>",
  "routingNumber": "<string>",
  "type": "CHECKING",
  "verificationStatus": "UNVERIFIED"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organizationId
string<uuid>

Optional organization ID for the embedded organization. Required for BANK and PLATFORM callers to operate on behalf of a specific embedded org.

Body

The connect request.

Request to connect a new external bank account.

accountNumber
string
required

External bank account number.

nameOnAccount
string
required

Name on the bank account.

nickname
string
required

Nickname for the external bank account.

routingNumber
string
required

Bank routing number (ABA number).

type
enum<string>
required

Type of bank account (checking or savings).

Available options:
CHECKING,
SAVINGS
verification
object

Optional verification to apply at creation time. Only MANUAL method is supported. Requires 'embedded:externalbankaccount:set-verification' scope.

Response

External bank account connected.

Response representing an external bank account.

id
string<uuid>
required

Unique identifier for the external bank account.

accountNumber
string
required

Masked account number (last 4 digits visible).

accountStatus
enum<string>
required

Status of the external bank account.

Available options:
ACTIVE,
INACTIVE
nameOnAccount
string
required

Name on the bank account.

nickname
string
required

Nickname for the external bank account.

routingNumber
string
required

Bank routing number (ABA number).

type
enum<string>
required

Type of bank account (checking or savings).

Available options:
CHECKING,
SAVINGS
verificationStatus
enum<string>
required

Verification status of the external bank account.

Available options:
UNVERIFIED,
VERIFICATION_SENT,
VERIFIED,
FAILED